std::chrono(3)

NAME
std::chrono - ISO C++ 2011 namespace for date and time utilities.

SYNOPSIS

  Classes
struct duration
duration
struct duration_values
duration_values
struct steady_clock
Monotonic clock.
struct system_clock
System clock.
struct time_point
time_point
struct treat_as_floating_point
treat_as_floating_point

  Typedefs
using high_resolution_clock = system_clock
Highest-resolution clock.
using hours = duration< int64_t, ratio< 3600 > >
hours
using microseconds = duration< int64_t, micro >
microseconds
using milliseconds = duration< int64_t, milli >
milliseconds
using minutes = duration< int64_t, ratio< 60 > >
minutes
using nanoseconds = duration< int64_t, nano >
nanoseconds
using seconds = duration< int64_t >
seconds

  Functions
template<typename _ToDur , typename _Rep , typename _Period > constexpr __enable_if_is_duration< _ToDur > duration_cast (const duration< _Rep, _Period > &__d)
duration_cast
template<typename _ToDur , typename _Clock , typename _Dur > constexpr enable_if< __is_duration< _ToDur >::value, time_point< _Clock, _ToDur > >::type time_point_cast (const time_point< _Clock, _Dur > &__t)
time_point_cast

Detailed Description

ISO C++ 2011 namespace for date and time utilities.

Author

Generated automatically by Doxygen for libstdc++ from the source code.